summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorKonstantin2018-08-18 05:10:33 +0300
committerKonstantin2018-08-18 05:10:33 +0300
commit9094953bf4e61a4e455137c08516027c4718453a (patch)
treef36066dbb21c1840bff8b8a212d957ae468eaa8a
downloadaur-9094953bf4e61a4e455137c08516027c4718453a.tar.gz
Initial
-rw-r--r--.SRCINFO58
-rwxr-xr-xPKGBUILD173
2 files changed, 231 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..22bf153a848
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,58 @@
+# Generated by mksrcinfo v8
+# Sat Aug 18 02:10:20 UTC 2018
+pkgbase = vala-panel-genmon-git
+ pkgdesc = Cyclically spawns a script/program, captures its output and displays the resulting string in the panel
+ pkgver = 5.0.0
+ pkgrel = 1
+ url = https://gitlab.com/vala-panel-project/xfce4-genmon-plugin
+ arch = i686
+ arch = x86_64
+ license = LGPL
+ makedepends = cmake
+ makedepends = vala
+ makedepends = gtk3
+ makedepends = libpeas
+ makedepends = mate-panel
+ makedepends = xfce4-panel>=4.11.2
+ makedepends = vala-panel-git
+ makedepends = budgie-desktop
+ source = git+https://gitlab.com/vala-panel-project/xfce4-genmon-plugin.git
+ source = git+https://gitlab.com/vala-panel-project/cmake-vala.git
+ sha256sums = SKIP
+ sha256sums = SKIP
+
+pkgname = genmon-plugin-common-git
+ pkgdesc = Translations and script examples for GenMon
+ arch = any
+ depends = bash
+ depends = perl
+ optdepends = xfce4-panel-genmon-git
+ optdepends = mate-panel-genmon-git
+ optdepends = vala-panel-genmon-git
+ optdepends = budgie-genmon-git
+
+pkgname = mate-panel-genmon-git
+ pkgdesc = Cyclically spawns a script/program, captures its output and displays the resulting string in the panel
+ depends = gtk3
+ depends = mate-panel
+ depends = genmon-plugin-common-git
+
+pkgname = xfce4-panel-genmon-ng-git
+ pkgdesc = Cyclically spawns a script/program, captures its output and displays the resulting string in the panel
+ depends = gtk3
+ depends = xfce4-panel>=4.11.2
+ depends = genmon-plugin-common-git
+
+pkgname = vala-panel-genmon-git
+ pkgdesc = Cyclically spawns a script/program, captures its output and displays the resulting string in the panel
+ depends = gtk3
+ depends = vala-panel>=0.4.60
+ depends = genmon-plugin-common-git
+
+pkgname = budgie-genmon-git
+ pkgdesc = Cyclically spawns a script/program, captures its output and displays the resulting string in the panel
+ depends = budgie-desktop
+ depends = gtk3
+ depends = libpeas
+ depends = genmon-plugin-common-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100755
index 00000000000..ef9eae58f69
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,173 @@
+# Maintainer: rilian-la-te <ria.freelander@gmail.com>
+
+_disable_mate=0
+_disable_xfce=0
+_disable_vala=0
+_disable_budgie=0
+
+pkgname=(
+'genmon-plugin-common-git'
+)
+
+_opts=(
+ -DCMAKE_INSTALL_PREFIX=/usr
+ -DCMAKE_INSTALL_LIBDIR=lib
+ -DCMAKE_INSTALL_LIBEXECDIR=lib
+)
+
+makedepends=('cmake' 'vala' 'gtk3' 'libpeas')
+
+if (("${_disable_mate}" == 0));then
+ _opts+=(-DENABLE_MATE=ON)
+ pkgname+=('mate-panel-genmon-git')
+ makedepends+=('mate-panel')
+ msg "Mate applet enabled"
+else
+ _opts+=(-DENABLE_MATE=OFF)
+fi
+
+if (("${_disable_xfce}" == 0));then
+ _opts+=(-DENABLE_XFCE=ON)
+ pkgname+=('xfce4-panel-genmon-ng-git')
+ makedepends+=('xfce4-panel>=4.11.2')
+ msg "Xfce applet enabled"
+else
+ _opts+=(-DENABLE_XFCE=OFF)
+fi
+
+if (("${_disable_vala}" == 0));then
+ _opts+=(-DENABLE_VALAPANEL=ON)
+ pkgname+=('vala-panel-genmon-git')
+ makedepends+=('vala-panel-git')
+ msg "Vala Panel applet enabled"
+else
+ _opts+=(-DENABLE_VALAPANEL=OFF)
+fi
+
+if (("${_disable_budgie}" == 0));then
+ _opts+=(-DENABLE_BUDGIE=ON)
+ pkgname+=('budgie-genmon-git')
+ makedepends+=('budgie-desktop')
+ msg "Budgie applet enabled"
+else
+ _opts+=(-DENABLE_BUDGIE=OFF)
+fi
+
+
+msg "If you want to disable an applet, edit pkgbuild variables _disable_[applet]"
+
+pkgbase=vala-panel-genmon-git
+_pkgbase=xfce4-genmon-plugin
+_cmakename=cmake-vala
+_dbusmenuname=vala-dbusmenu
+pkgver=5.0.0
+pkgrel=1
+pkgdesc="Cyclically spawns a script/program, captures its output and displays the resulting string in the panel"
+url="https://gitlab.com/vala-panel-project/xfce4-genmon-plugin"
+arch=('i686' 'x86_64')
+license=('LGPL')
+source=("git+https://gitlab.com/vala-panel-project/${_pkgbase}.git"
+ "git+https://gitlab.com/vala-panel-project/${_cmakename}.git")
+sha256sums=('SKIP'
+ 'SKIP')
+
+pkgver() {
+ cd "${srcdir}/${_pkgbase}"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd "${srcdir}/${_cmakename}"
+ cp -r . "${srcdir}/${_pkgbase}/cmake"
+}
+
+build(){
+ cd "${srcdir}/${_pkgbase}"
+ cmake ./ "${_opts[@]}"
+ make
+}
+
+package_xfce4-panel-genmon-ng-git(){
+ pkgdesc="Cyclically spawns a script/program, captures its output and displays the resulting string in the panel"
+ depends=('gtk3' 'xfce4-panel>=4.11.2' 'genmon-plugin-common-git')
+ cd "${srcdir}/${_pkgbase}"
+ make -C "src" DESTDIR="${pkgdir}" install
+ make -C "data" DESTDIR="${pkgdir}" install
+ rm -rf "${pkgdir}/usr/lib/genmon-scripts"
+ rm -rf "${pkgdir}/usr/lib/vala-panel"
+ rm -rf "${pkgdir}/usr/share/mate-panel"
+ rm -rf "${pkgdir}/usr/share/vala-panel"
+ rm -rf "${pkgdir}/usr/lib/mate-panel"
+ rm -rf "${pkgdir}/usr/lib/budgie-desktop"
+ rm -rf "${pkgdir}/usr/share/glib-2.0"
+ rm -rf "${pkgdir}/usr/share/dbus-1"
+}
+
+package_mate-panel-genmon-git(){
+ pkgdesc="Cyclically spawns a script/program, captures its output and displays the resulting string in the panel"
+ depends=('gtk3' 'mate-panel' 'genmon-plugin-common-git')
+ cd "${srcdir}/${_pkgbase}"
+ make -C "src" DESTDIR="${pkgdir}" install
+ make -C "data" DESTDIR="${pkgdir}" install
+ rm -rf "${pkgdir}/usr/lib/genmon-scripts"
+ rm -rf "${pkgdir}/usr/lib/vala-panel"
+ rm -rf "${pkgdir}/usr/lib/xfce4"
+ rm -rf "${pkgdir}/usr/share/xfce4"
+ rm -rf "${pkgdir}/usr/share/vala-panel"
+ rm -rf "${pkgdir}/usr/lib/budgie-desktop"
+ rm -rf "${pkgdir}/usr/share/glib-2.0"
+}
+
+package_vala-panel-genmon-git(){
+ pkgdesc="Cyclically spawns a script/program, captures its output and displays the resulting string in the panel"
+ depends=('gtk3' 'vala-panel>=0.4.60' 'genmon-plugin-common-git')
+ cd "${srcdir}/${_pkgbase}"
+ make -C "src" DESTDIR="${pkgdir}" install
+ make -C "data" DESTDIR="${pkgdir}" install
+ rm -rf "${pkgdir}/usr/lib/genmon-scripts"
+ rm -rf "${pkgdir}/usr/lib/xfce4"
+ rm -rf "${pkgdir}/usr/share/xfce4"
+ rm -rf "${pkgdir}/usr/share/mate-panel"
+ rm -rf "${pkgdir}/usr/lib/mate-panel"
+ rm -rf "${pkgdir}/usr/lib/budgie-desktop"
+ rm -rf "${pkgdir}/usr/share/glib-2.0"
+ rm -rf "${pkgdir}/usr/share/dbus-1"
+}
+
+package_budgie-genmon-git(){
+ pkgdesc="Cyclically spawns a script/program, captures its output and displays the resulting string in the panel"
+ depends=('budgie-desktop' 'gtk3' 'libpeas' 'genmon-plugin-common-git')
+ cd "${srcdir}/${_pkgbase}"
+ make -C "src" DESTDIR="${pkgdir}" install
+ make -C "data" DESTDIR="${pkgdir}" install
+ rm -rf "${pkgdir}/usr/lib/genmon-scripts"
+ rm -rf "${pkgdir}/usr/lib/xfce4"
+ rm -rf "${pkgdir}/usr/share/xfce4"
+ rm -rf "${pkgdir}/usr/share/mate-panel"
+ rm -rf "${pkgdir}/usr/share/vala-panel"
+ rm -rf "${pkgdir}/usr/lib/mate-panel"
+ rm -rf "${pkgdir}/usr/lib/vala-panel"
+ rm -rf "${pkgdir}/usr/share/glib-2.0"
+ rm -rf "${pkgdir}/usr/share/dbus-1"
+}
+
+package_genmon-plugin-common-git(){
+ pkgdesc="Translations and script examples for GenMon"
+ depends=('bash' 'perl')
+ optdepends=('xfce4-panel-genmon-git' 'mate-panel-genmon-git' 'vala-panel-genmon-git' 'budgie-genmon-git')
+ arch=('any')
+ cd "${srcdir}/${_pkgbase}"
+ make -C "po" DESTDIR="${pkgdir}" install
+ make -C "data" DESTDIR="${pkgdir}" install
+ rm -rf "${pkgdir}/usr/share/xfce4"
+ rm -rf "${pkgdir}/usr/share/mate-panel"
+ rm -rf "${pkgdir}/usr/share/vala-panel"
+ rm -rf "${pkgdir}/usr/share/dbus-1"
+ rm -rf "${pkgdir}/usr/lib/mate-panel"
+ rm -rf "${pkgdir}/usr/lib/vala-panel"
+ rm -rf "${pkgdir}/usr/lib/budgie-desktop"
+ rm -rf "${pkgdir}/usr/lib/xfce4"
+}